<?php
namespace HCM\TRE\Repository;

use Doctrine\DBAL\Connection;
use Doctrine\ORM\EntityManager;

class PerfilCursoRepository {

    protected  $connection;
    
    public function __construct(Connection $connection, EntityManager $entityManager) {
        $this->connection = $connection;
        $this->entityManager = $entityManager;
        
    }
    
    public function itemExists($nrorg,$nrperfilcurso){
    $sql = $this->entityManager->getConnection()->prepare("
            SELECT * 
             FROM GPE_ITPERFILCURSO 
            WHERE
             NRORG = :P_NRORG
            AND NRPERFILCURSO = :P_NRPERFILCURSO"
        );

        $sql->execute(
            array(
                "P_NRORG"=>$nrorg,
                "P_NRPERFILCURSO"=>$nrperfilcurso
                )
            );

        return !empty($sql->fetchAll());
    }
} 
